# $Revision: 1.30 $, $Date: 2002/09/17 12:35:41 $
Summary:	Improved SANE frontend
Summary(pl):	Ulepszony frontend do SANE
Summary(zh_CN): xsane - һͼɨ
Name:		xsane
Version:	0.88
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.xsane.org/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.xsane.org/
BuildRequires:	autoconf
BuildRequires:	gimp-devel
BuildRequires:	gtk+-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	sane-backends-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_gimpplugindir	%(gimp-config --gimpplugindir)/plug-ins

%description
XSane is a graphical scanning frontend. It uses the SANE library to
talk to scanner.

%description -l pl
XSane jest graficznym frontendem do skanowania. Uywa biblioteki SANE
do komunikacji ze skanerem.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
if [ -f %{_pkgconfigdir}/libpng12.pc ] ; then
	CPPFLAGS="`pkg-config libpng12 --cflags`"
fi
%configure CPPFLAGS="$CPPFLAGS"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_gimpplugindir},%{_applnkdir}/Graphics,%{_pixmapsdir}}

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

ln -sf %{_bindir}/xsane $RPM_BUILD_ROOT%{_gimpplugindir}/xsane


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc xsane.{ACCELKEYS,AUTHOR,BACKENDS,BUGS,CHANGES,LOGO,NEWS}
%doc xsane.{PROBLEMS,TODO,BEGINNERS-INFO,ONLINEHELP}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_gimpplugindir}/*
%{_datadir}/sane
%{_mandir}/man1/*
%{_applnkdir}/Graphics/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xsane.spec,v $
Revision 1.30  2002/09/17 12:35:41  kloczek
- updated to 0.88: bug fixes.

Revision 1.29  2002/07/24 23:02:20  kloczek
- updated to 0.87.

Revision 1.28  2002/05/21 23:15:08  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/05/01 07:40:37  kloczek
- updated to 0.86 (bugfix release).

Revision 1.26  2002/04/27 22:32:09  qboosh
- libpng 1.2.2 support

Revision 1.25  2002/04/25 06:16:45  kloczek
- updated to 0.85.

Revision 1.24  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.23  2002/03/22 21:22:04  kloczek
- bump release to 2.

Revision 1.22  2002/03/12 20:55:36  mkochano
- Updated to 0.84.
- Release 1.

Revision 1.21  2002/02/22 23:30:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/10/11 14:47:26  qboosh
- BuildRequires: autoconf; improved pl summary ;)

Revision 1.18  2001/08/11 18:52:59  kloczek
- updated to 0.79.

Revision 1.17  2001/06/28 17:08:37  kloczek
- other typo :>

Revision 1.16  2001/06/28 16:59:13  kloczek
- typo in %build.

Revision 1.15  2001/06/28 16:46:53  kloczek
- typo in %files.

Revision 1.14  2001/06/28 16:17:55  kloczek
- updated to 0.78,
- added desktop file for xsane,
- smarter handling gimp plugin path.

Revision 1.13  2001/06/01 16:12:27  qboosh
- updated to 0.77

Revision 1.12  2001/04/06 15:56:31  jajcus
- Version: 0.75

Revision 1.11  2001/03/07 19:04:32  qboosh
- fixed gimp_ver problem
- missing dir %%{_datadir}/sane, fixed perms (were 755 on text or gfx files)

Revision 1.10  2001/03/03 19:41:32  qboosh
- 0.72, updated DESTDIR patch
- BuildRequires: libpng-devel, libtiff-devel

Revision 1.9  2001/02/09 16:45:57  zagrodzki
- initial release
